5.2.0-git
04/18/2014

[#8566] Add fluid growl notifications
Summary Add fluid growl notifications
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 09/10/2009 (1681 days ago)
Due
Updated 12/06/2011 (864 days ago)
Assigned
Resolved
Milestone
Patch No

History
12/06/2011 10:01:25 PM Michael Slusarz State ⇒ Accepted
 
12/06/2011 10:01:15 PM Michael Slusarz Comment #5
Queue ⇒ Horde Base
Version ⇒ Git master
Reply to this comment
Actually, re-looking at this, maybe that is what Chuck is talking 
about.  Think I was confused because it was in the IMP queue (probably 
because it was added when Growl was exclusive to dimp).
12/06/2011 09:59:34 PM Michael Slusarz Comment #4 Reply to this comment
This seems very platform/software specific to me.  Especially since
Growl is apparently no longer free software.
I can't say anything on Growl, but generally a better integration 
with the desktop is a worthwhile goal, especially with our Ajax GUIs 
looking more like desktop apps anyway.
I agree with this.  But this goal should/cannot be accomplished by 
hardcoding application specific parameters into general purpose 
javascript code.  That is what I do not agree with.

If we wanted to setup some sort of Event firing/listening system 
(similar to prototypejs), that would be nifty.  But that is not what 
this ticket is about.
12/06/2011 09:10:03 AM Jan Schneider Comment #3 Reply to this comment
This seems very platform/software specific to me.  Especially since 
Growl is apparently no longer free software.
I can't say anything on Growl, but generally a better integration with 
the desktop is a worthwhile goal, especially with our Ajax GUIs 
looking more like desktop apps anyway.
12/06/2011 06:20:02 AM Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
This seems very platform/software specific to me.  Especially since 
Growl is apparently no longer free software.

I would rather see improvements with our notification system instead.   
Or a growl interface to the notification system.  But this should not 
be hardcoded in.

I would also like to see the references to 'window.fluid' removed from 
IMP's code.  Again - extremely software specific.  We should not be 
including hacks like this in the base code.
09/10/2009 03:45:56 AM Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ Add fluid growl notifications
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
In addition to the fluid dock badge numbers, we should be able to show 
growl notifications now that we have them:



window.fluid.showGrowlNotification({

     title: "title",

     description: "description",

     priority: 1,

     sticky: false,

     identifier: "foo",

     onclick: callbackFunc,

     icon: imgEl // or URL string

})

http://www.fluidapp.com/developer/





This could even replace the in-browser js notifications if growl is available.